Subject: Re: bug#4848: 23.1.50; \u and \x in string

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Nov 2009 21:48:04 -0500

>> Why shouldn't \ue1 work?
>     Because the \u format is \uNNNN with exactly 4 hex digits.

> In other words, "it doesn't work because we decided it should't work".
> But why should't it work?  Why shouldn't two digits be allowed?
> Is there a good reason not to allow that?

I think the \u format is taken from C and it doesn't have an "end" like
our \x format has.  So for example "\u11111" means (concat "\u1111" "1").

        Stefan